
Foreman - Bug #807

Update the User.current implementation to use a Thread-local variable

03/30/2011 08:08 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Rails   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See http://rails-bestpractices.com/posts/47-fetch-current-user-in-models

Associated revisions

Revision 475cdc84 - 05/02/2011 05:27 AM - Ohad Levy

fixes #807 - Update the User.current implementation to use a Thread-local variable

Revision 7e64f911 - 05/02/2011 10:45 AM - Ohad Levy

ensures that current user is cleared, refs #807

History

#1 - 04/12/2011 04:00 PM - Ohad Levy

- Target version set to 0.3

#2 - 05/02/2011 05:26 AM - Ohad Levy

- Assignee changed from Paul Kelly to Ohad Levy

#3 - 05/02/2011 05:27 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 475cdc847254deca6bd0d4d2cb3fd6ec8fa37939.

#4 - 05/02/2011 05:27 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
